Subject: Re: dumper.exe doesn't work
From: "Reinhard JESSICH" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Fri, 20 Apr 2001 18:04:10 +0200

>>> [email-masked] 04/19/01 04:25pm >>>
ed> Thursday, 19 April, 2001 egor duda [email-masked] wrote:
ed> you can make dumper more "verbose":
ed> set CYGWIN=error_start=drive:\\pathtodumper\\dump_wrapper.cmd
ed> and create drive:\\pathtodumper\\dump_wrapper.cmd file containing one line:
ed> ============== dump_wrapper.cmd ====================
ed> drive:\pathtodumper\dumper.exe -d -c %1 %2
ed> ====================================================
I have done this. It worked good and I got dbz.exe.core.

ed> for a testing purposes you can also dump any "healthy" process. just
ed> get its win32-pid using 'ps -l' command, and then type
ed> dumper -d <win32_pid_of_target_process>
I have tried this and the complete bash shell died .

ed> i'll look if i can fix this warning, though.
ed> i've just checked the fix in. Check out dumper source and see if it helps.
Thank you, objdump says now:
dbz.exe.core:     file format elf32-i386
dbz.exe.core
architecture: i386, flags 0x00000000:
....

But I get a message to stderr: no symbols.

If I call gdb with gdb --core=dbz.exe.core and I do 'info target', 'info threads'
and 'backtrace' and all worked. But I have not all symbols for the backtrace:
(gdb) backtrace
#0  0x77f782db in ?? ()
#1  0x77f04f37 in ?? ()
#2  0x6100bd88 in _size_of_stack_reserve__ ()
#3  0x6100c57c in _size_of_stack_reserve__ ()
#4  0x77fa7396 in ?? ()
#5  0x77f9926b in ?? ()
#6  0x77f86406 in ?? ()
#7  0x004010ca in main (argc=2, argv=0x1a020ca8) at dbz.c:16
#8  0x61003859 in _size_of_stack_reserve__ ()
#9  0x61003a3d in _size_of_stack_reserve__ ()
#10 0x61003a7c in _size_of_stack_reserve__ ()
#11 0x0040111f in cygwin_crt0 ()
I am sure I have compiled it with -g.

If I call gdb with gdb --core=dbz.exe.core dbz.exe I get a message from gdb:
core file may not match specified exec-file.
Is there something missing in the dumper or gdb implementation?
Is symbol writing not implemented in dumper?

Regards,
     Reinhard

-- 
 Ing. Reinhard Jessich                Phone: +43/1/81150/2395
 Software Design                      Fax: +43/1/81150/2299
 Frequentis Nachrichtentechnik GmbH   A-1120 Wien, Spittelbreitengasse 34
 http://www.frequentis.com            eMail: [email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple